Skip to main content
GET
/
2025-09
/
timeline
/
templates
List all Templates
curl --request GET \
  --url https://public-api.stora.co/2025-09/timeline/templates \
  --header 'Authorization: Bearer <token>'
{
  "templates": [
    {
      "id": "aetpl_14b419f1096013f1",
      "created_at": "2025-02-20T14:41:00Z",
      "global": true,
      "message": "sent campaign '{{ campaign_name }}'{% if global_context %} for {{ contact }}{% endif %}.",
      "name": "Sent Campaign",
      "updated_at": "2025-02-22T14:41:00Z",
      "variables": {
        "custom": [
          "campaign_name"
        ],
        "predefined": [
          "contact"
        ]
      }
    },
    {
      "id": "aetpl_24c519f1096013f2",
      "created_at": "2025-02-19T14:41:00Z",
      "global": true,
      "message": "recorded {% if global_context %} {{ contact }} opened{% else %} opening of{% endif %} '{{ campaign_name }}'.",
      "name": "Email Opened",
      "updated_at": "2025-02-22T14:41:00Z",
      "variables": {
        "custom": [
          "campaign_name"
        ],
        "predefined": [
          "contact"
        ]
      }
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of templates

List of Timeline Templates

templates
object[]
meta
object